﻿/*==============================================================================
 * Author:深度训练
 * Create time: 2013-08-04
 * Blog Address:http://www.cnblogs.com/wangiqngpei557/
 * Author Description:特定领域软件工程实践；
 *==============================================================================*/

namespace ConsoleApplication1.DynamicBehavior
{
    using System;
    using System.Dynamic;

    public class EntityDymanicBehavior
    {
        public static dynamic GetEntityBehavior<TEntity>(TEntity entity)
        {
            //auto mark entity behavior
            dynamic dy = new ExpandoObject();
            //load meta data mark dynamic behavior
            dy.Entity = entity;
            dy.Add = new Action(() =>
            {
                Console.WriteLine("Action Add " + entity.GetType());
            });
            return dy;
        }
    }
}
