﻿/*==============================================================================
 * Author:深度训练
 * Create time: 2013-08-04
 * Blog Address:http://www.cnblogs.com/wangiqngpei557/
 * Author Description:特定领域软件工程实践；
 *==============================================================================*/

namespace ConsoleApplication1.Repository
{
    using ConsoleApplication1.DomainModel;
    using System;
    using System.Collections.Generic;
    using System.Linq;
    using System.Text;
    using System.Threading.Tasks;

    /// <summary>
    /// IDE Builder.
    /// </summary>
    public class DesignBuilder_DataBaseContext : ORM.Meta.DataBaseContext
    {
        //this begin IDE builder.
        protected override void InitContext()
        {
            ORM.Meta.MetaTable metaTable = new ORM.Meta.MetaTable() { Name = "TB_Employee", EntityName = "Employee" };
            metaTable.Add(new ORM.Meta.MetaColumn()
            {
                CoumnName = "EId",
                DataType = ORM.Meta.DataType.NVarchar
            });
            metaTable.Add(new ORM.Meta.MetaColumn()
            {
                CoumnName = "Name",
                DataType = ORM.Meta.DataType.NVarchar
            });
            metaTable.Add(new ORM.Meta.MetaColumn()
            {
                CoumnName = "Sex",
                DataType = ORM.Meta.DataType.Int
            });
            metaTable.Add(new ORM.Meta.MetaColumn()
            {
                CoumnName = "Address",
                DataType = ORM.Meta.DataType.NVarchar
            });
            this.AddTable(metaTable);
        }

        private List<Employee> employee = new List<Employee>();
        public IList<Employee> Employee { get { return employee; } }
        //end
    }
}
